Bug 1780784 (rust-err-derive) - Review Request: rust-err-derive - Derive macro for `std::error::Error`
Summary: Review Request: rust-err-derive - Derive macro for `std::error::Error`
Keywords:
Status: CLOSED RAWHIDE
Alias: rust-err-derive
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: rust-rustversion rust-proc-macro-error
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-06 22:09 UTC by Robert-André Mauchin 🐧
Modified: 2019-12-20 08:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-20 08:02:53 UTC
Type: ---
Embargoed:
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2019-12-06 22:09:22 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/rust-err-derive.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/rust-err-derive-0.2.1-1.fc32.src.rpm

Description:
Derive macro for `std::error::Error`.

Fedora Account System Username: eclipseo

Comment 1 Jerry James 2019-12-18 04:29:49 UTC
I will take this review.  If you don't mind doing another one for me, bug 1784662 could use a review.

Comment 2 Jerry James 2019-12-18 04:41:44 UTC
This package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rust-err-derive-devel-0.2.1-1.fc32.noarch.rpm
          rust-err-derive+default-devel-0.2.1-1.fc32.noarch.rpm
          rust-err-derive+skeptic-devel-0.2.1-1.fc32.noarch.rpm
          rust-err-derive+std-devel-0.2.1-1.fc32.noarch.rpm
          rust-err-derive-0.2.1-1.fc32.src.rpm
rust-err-derive-devel.noarch: W: invalid-url URL: https://crates.io/crates/err-derive HTTP Error 404: Not Found
rust-err-derive-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/err-derive-0.2.1/.cargo-checksum.json
rust-err-derive+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/err-derive HTTP Error 404: Not Found
rust-err-derive+default-devel.noarch: W: no-documentation
rust-err-derive+skeptic-devel.noarch: W: invalid-url URL: https://crates.io/crates/err-derive HTTP Error 404: Not Found
rust-err-derive+skeptic-devel.noarch: W: no-documentation
rust-err-derive+std-devel.noarch: W: invalid-url URL: https://crates.io/crates/err-derive HTTP Error 404: Not Found
rust-err-derive+std-devel.noarch: W: no-documentation
rust-err-derive.src: W: invalid-url URL: https://crates.io/crates/err-derive HTTP Error 404: Not Found
5 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
rust-err-derive+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/err-derive HTTP Error 404: Not Found
rust-err-derive+default-devel.noarch: W: no-documentation
rust-err-derive-devel.noarch: W: invalid-url URL: https://crates.io/crates/err-derive HTTP Error 404: Not Found
rust-err-derive-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/err-derive-0.2.1/.cargo-checksum.json
rust-err-derive+skeptic-devel.noarch: W: invalid-url URL: https://crates.io/crates/err-derive HTTP Error 404: Not Found
rust-err-derive+skeptic-devel.noarch: W: no-documentation
rust-err-derive+std-devel.noarch: W: invalid-url URL: https://crates.io/crates/err-derive HTTP Error 404: Not Found
rust-err-derive+std-devel.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 8 warnings.



Source checksums
----------------
https://crates.io/api/v1/crates/err-derive/0.2.1/download#/err-derive-0.2.1.crate :
  CHECKSUM(SHA256) this package     : ead97ef6ef5530312e584d24b1ef31e96455bc2135945109fc737fe8b62ff4a5
  CHECKSUM(SHA256) upstream package : ead97ef6ef5530312e584d24b1ef31e96455bc2135945109fc737fe8b62ff4a5


Requires
--------
rust-err-derive-devel (rpmlib, GLIBC filtered):
    (crate(proc-macro-error/default) >= 0.4.0 with crate(proc-macro-error/default) < 0.5.0)
    (crate(proc-macro2/default) >= 1.0.1 with crate(proc-macro2/default) < 2.0.0)
    (crate(quote/default) >= 1.0.2 with crate(quote/default) < 2.0.0)
    (crate(rustversion/default) >= 1.0.0 with crate(rustversion/default) < 2.0.0)
    (crate(syn/default) >= 1.0.5 with crate(syn/default) < 2.0.0)
    (crate(synstructure/default) >= 0.12.0 with crate(synstructure/default) < 0.13.0)
    cargo

rust-err-derive+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(err-derive)
    crate(err-derive/std)

rust-err-derive+skeptic-devel (rpmlib, GLIBC filtered):
    (crate(skeptic/default) >= 0.13.0 with crate(skeptic/default) < 0.14.0)
    cargo
    crate(err-derive)

rust-err-derive+std-devel (rpmlib, GLIBC filtered):
    cargo
    crate(err-derive)



Provides
--------
rust-err-derive-devel:
    crate(err-derive)
    rust-err-derive-devel

rust-err-derive+default-devel:
    crate(err-derive/default)
    rust-err-derive+default-devel

rust-err-derive+skeptic-devel:
    crate(err-derive/skeptic)
    rust-err-derive+skeptic-devel

rust-err-derive+std-devel:
    crate(err-derive/std)
    rust-err-derive+std-devel



Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1780784 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Haskell, Ocaml, SugarActivity, C/C++, Perl, Ruby, fonts, R, Java, Python, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Igor Raits 2019-12-20 07:48:30 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-err-derive


Note You need to log in before you can comment on or make changes to this bug.